# Base config/make file for exim build
#
# Start with the base configuration
include(../src/EDITME)
#
# Now add in the differences
#
# User ID
EXIM_USER=ref:exim
EXIM_GROUP=ref:exim
#
# Command locations
CHOWN_COMMAND=/bin/chown
CHGRP_COMMAND=/bin/chgrp
COMPRESS_COMMAND=/bin/gzip
ZCAT_COMMAND=/bin/zcat

#
# Exim object locations
BIN_DIRECTORY=/usr/sbin
CONFIGURE_FILE=/etc/exim/exim4.conf
LOG_FILE_PATH=/var/log/exim/%s.log
PID_FILE_PATH=/var/run/exim.pid
SPOOL_DIRECTORY=/var/spool/exim
#
# Security configuration
EXIM_UID=93
EXIM_GID=93
USE_TCP_WRAPPERS=yes
#
# Authentication support
AUTH_CRAM_MD5=yes
AUTH_PLAINTEXT=yes
AUTH_SPA=yes
SUPPORT_PAM=yes
#
# IPv6 support
HAVE_IPV6=yes
#
# Basic Lookup support - others may be pulled in by other configs 
LOOKUP_DBM=yes
LOOKUP_DNSDB=yes
LOOKUP_DSEARCH=yes
LOOKUP_LSEARCH=yes
LOOKUP_CDB=yes
LOOKUP_NIS=yes
LOOKUP_NISPLUS=yes
LOOKUP_PASSWD=yes
LOOKUP_WILDLSEARCH=yes
#
# Mailbox support
SUPPORT_MAILDIR=yes
SUPPORT_MAILSTORE=yes
SUPPORT_MBX=yes
#
# Transports
TRANSPORT_LMTP=yes
#
# TLS/SSL
SUPPORT_TLS=yes
TLS_LIBS=-lssl -lcrypto
TLS_INCLUDE=-I/usr/kerberos/include
#
# DBM/Libraries etc
USE_DB=yes
DBMLIB=-ldb
CFLAGS=-g -O2
EXTRALIBS=-lwrap -lpam -ldl
#
# Info directory
INFO_DIRECTORY=/usr/share/info
#
# End
